#!/bin/bash
# Send emails to accounts matching specific tail number

SOURCE=$1
ICAO=$2
ALTITUDE=$3
CALLSIGN=$4
SPEED=$5
VSPEED=$6
SQUAWK=$7
TAIL=$8
TYPE=$9
OPERATOR=${10}

DIR=/home/pi/realadsb/alerts

# Get today's date for subject
# Date is in YYYY-MM-DD format
TODAY=$(date +%F)

# Get the list of files to send
FILES=$(grep -rnw "$DIR" -e "$ICAO"|grep -E -o "\b[a-zA-Z0-9.-]+@[a-zA-Z0-9.-]+\.[a-zA-Z0-9.-]+\b"|uniq)

# Cycle through FILES array and send each email individually
#echo "${FILES[@]}"
for datafile in "${FILES[@]}"
do
   echo "Aircraft $ICAO detected
Tail number: $TAIL
ICAO type: $TYPE
Operator: $OPERATOR
Altitude: $ALTITUDE ft [$VSPEED ft/min]
Callsign: $CALLSIGN
Speed: $SPEED kts" | mail -s "$SOURCE: Alert for $ICAO $TAIL $TYPE ($TODAY)" "$datafile"
done