#!/bin/bash
# Send tweets for aicrafts matching specific criterias: type, tail number, squawk, operator

SOURCE=$1
ICAO=$2
ALTITUDE=$3
CALLSIGN=$4
SPEED=$5
VSPEED=$6
SQUAWK=$7
TAIL=$8
TYPE=$9
OPERATOR=${10}

DIR=/home/pi/realadsb/tweets

# Get today's date for subject
# Date is in YYYY-MM-DD format
TODAY=$(date +%F)

# Get the list of files to send
FILES=$(grep -rnw "$DIR"/*.txt -e "$TYPE" -e "$TAIL" -e "$SQUAWK" -e "$OPERATOR")

# Cycle through FILES array and send each email individually
echo "${FILES[@]}"
if [ -z ${FILES[0]} ]; then
   echo "No matches for $TYPE"
else
   python $DIR/tweet.py "$SOURCE: Alert for #$ICAO $TAIL #$TYPE ($TODAY) Operator: $OPERATOR Altitude: $ALTITUDE ft [$VSPEED ft/min] Speed: $SPEED kts Callsign: $CALLSIGN https://flightaware.com/live/flight/$TAIL"
fi